<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::ImageCodec::ImageData Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html">Ogre::ImageCodec::ImageData</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#fc7b6885d56ad2e733613c50eff80780">dataType</a>() const </td><td><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html">Ogre::ImageCodec::ImageData</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#26cb0c0451c0842eb191a08fb9cb1942">depth</a></td><td><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html">Ogre::ImageCodec::ImageData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#17daec36bcb3a0a3084576fe4f913551">flags</a></td><td><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html">Ogre::ImageCodec::ImageData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#f59eaab36e6dc3c20124af20655f6338">format</a></td><td><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html">Ogre::ImageCodec::ImageData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#12133a0b5939c2a4f9102e7235296e8f">height</a></td><td><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html">Ogre::ImageCodec::ImageData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#e79def312c157ada9d4aedcd38c911bf">ImageData</a>()</td><td><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html">Ogre::ImageCodec::ImageData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#ed8c64899c5b99b802b641a0c1c8f3e8">num_mipmaps</a></td><td><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html">Ogre::ImageCodec::ImageData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#df09c2a3243681cfb4f38f8c6074d111">size</a></td><td><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html">Ogre::ImageCodec::ImageData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html#9ea7e66c38ec91572f428c395f57c586">width</a></td><td><a class="el" href="classOgre_1_1ImageCodec_1_1ImageData.html">Ogre::ImageCodec::ImageData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec_1_1CodecData.html#8d1d3dc4a466a4e992aad72c14bf81eb">~CodecData</a>()</td><td><a class="el" href="classOgre_1_1Codec_1_1CodecData.html">Ogre::Codec::CodecData</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:04 2008
</p>
</body>
</html>
